<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XSafForwarderMember StructType
 * @subpackage Structs
 */
class XSafForwarderMember extends AbstractStructBase
{
    /**
     * The callManagerName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var XFkType
     */
    public $callManagerName;
    /**
     * Constructor method for XSafForwarderMember
     * @uses XSafForwarderMember::setCallManagerName()
     * @param XFkType $callManagerName
     */
    public function __construct(XFkType $callManagerName = null)
    {
        $this
            ->setCallManagerName($callManagerName);
    }
    /**
     * Get callManagerName value
     * @return XFkType
     */
    public function getCallManagerName()
    {
        return $this->callManagerName;
    }
    /**
     * Set callManagerName value
     * @param XFkType $callManagerName
     * @return XSafForwarderMember
     */
    public function setCallManagerName(XFkType $callManagerName = null)
    {
        $this->callManagerName = $callManagerName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return XSafForwarderMember
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
